## org.eclipse.datatools.connectivity.oda.design
Interface InputElementUIHints

public interface InputElementUIHints

UI hints for a data element defined with the input mode.

The following features are supported:

- `Prompt Style`

See Also:
  `DesignPackage.getInputElementUIHints()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`InputPromptControlStyle` `getPromptStyle()` Returns the value of the 'Prompt Style' attribute.
`boolean` `isSetPromptStyle()` Returns whether the value of the '`Prompt Style`' attribute is set.
`void` `setPromptStyle(InputPromptControlStyle value)` Sets the value of the '`Prompt Style`' attribute.
`void` `unsetPromptStyle()` Unsets the value of the '`Prompt Style`' attribute.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getPromptStyle

    public InputPromptControlStyle getPromptStyle()

  Returns the value of the 'Prompt Style' attribute. The literals are from the enumeration `InputPromptControlStyle`. Defaults to TextField if no static and dynamic value choices are defined; otherwise, defaults to SelectableList.

  Returns:
    the value of the 'Prompt Style' attribute.
  See Also:
    `InputPromptControlStyle`, `isSetPromptStyle()`, `unsetPromptStyle()`, `setPromptStyle(InputPromptControlStyle)`, `DesignPackage.getInputElementUIHints_PromptStyle()`

### setPromptStyle

    public void setPromptStyle(InputPromptControlStyle value)

  Sets the value of the '`Prompt Style`' attribute.

  Parameters:
    `value` - the new value of the 'Prompt Style' attribute.
  See Also:
    `InputPromptControlStyle`, `isSetPromptStyle()`, `unsetPromptStyle()`, `getPromptStyle()`

### unsetPromptStyle

    public void unsetPromptStyle()

  Unsets the value of the '`Prompt Style`' attribute.

  See Also:
    `isSetPromptStyle()`, `getPromptStyle()`, `setPromptStyle(InputPromptControlStyle)`

### isSetPromptStyle

    public boolean isSetPromptStyle()

  Returns whether the value of the '`Prompt Style`' attribute is set.

  Returns:
    whether the value of the 'Prompt Style' attribute is set.
  See Also:
    `unsetPromptStyle()`, `getPromptStyle()`, `setPromptStyle(InputPromptControlStyle)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.